<?xml version="1.0" encoding="UTF-8"?>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="../site-default/FeedEnvironment.jspf"%>
<feed xmlns="http://www.w3.org/2005/Atom" xmlns:ns2="http://a9.com/-/spec/opensearch/1.1/" xmlns:ns3="http://www.w3.org/1999/xhtml">
 <%-- To get string for composing feed id. 
      if the requestUri is like http://servername/wcs/resources/stores/storeID/ProjectCollections?responseFormat=atom then
           sting4feedId = "all" // the all means that all projects are returned.
       if the requestUri is like http://servername/wcs/resources/stores/storeID/ProjectCollections/ProjectCollectionID?responseFormat=atom
            sting4feedId = ProjectCollectionID //ProjectCollectionID is the  project id in requestUri. 
  --%>
    <c:set var="requestUriArray" value="${fn:split(requestUri,'/')}"/>
  	 <c:forEach var="tempArrayValue" items="${requestUriArray}" varStatus="status_requestURI">
  	        <c:choose>
	  	        <c:when test="${status_requestURI.last}">  	             
	  	             <c:set var="lastValue" value="${tempArrayValue}"/>
	  	        </c:when>
  	        </c:choose>
  	 </c:forEach>  	
      <c:choose>
      <%-- If the last value is ProjectCollections?responseFormat=atom --%>
  	        <c:when test="${fn:startsWith(lastValue, 'ProjectCollections')}">
  	                <c:set var="string4feedId" value="all"/>
  	        </c:when>
  	        <%-- If the last value is ProjectCollectionID?responseFormat=atom --%>
  	        <c:otherwise>  	            
  	        <%-- To get the ProjectCollectionID id from lastValue  ProjectCollectionID?responseFormat=atom --%>
  	            <c:set var="string4feedId" value="${fn:substringBefore(lastValue, '?')}"/>
  	        </c:otherwise>
  	   </c:choose>    
<%-- necessary item in feed --%>
<id>feed:id:${pageContext.request.serverName}/store/${storeId}/ProjectCollections/${string4feedId}/language/-1</id>
<title type="text">Recipe Collections</title>
<author>
<name>${storeId}</name>
</author>
<link rel="self" href="<c:out value="${requestUri}" />"/>
<updated><c:out value="${currentDate}" /></updated>
<%-- Get data from response to list all entry --%>
<c:forEach var="projectCollectionData" items="${dataObject.projectCollection}" varStatus="status">
<c:set var="collectionName" value="${projectCollectionData.projectCollectionIdentifier.externalIdentifier.name}"/>
<c:set var="collectionId" value="${projectCollectionData.projectCollectionIdentifier.uniqueID}"/>
<c:set var="recipeCollectionURL"  value="${dynamicContextRoot}/RecipeCollection_0_${collectionId}_-1_${storeId}_${catalogId}_${collectionName}_Y"/>
<entry xml:lang="en_US">
<id>feed:id:${pageContext.request.serverName}/store/${storeId}/ProjectCollection/${collectionId}/language/-1</id>
<title type="text">${collectionName} Collection </title>
<link href="${recipeCollectionURL}" />
<updated><c:out value="${currentDate}" /></updated>
<content type="html">    
		   <c:out value="<table border=\"1\" "/>	   
			<c:out value="<tr><td>Name</td><td align=\"center\" height=\"45\"><a href=\"${recipeCollectionURL}\">${collectionName}</font></a></td></tr>" />
			<c:out value="<tr><td>Description</td><td align=\"center\" height=\"25\"><font face=\"Arial\" size=\"3px\">${projectCollectionData.description[0].value}</font></td></tr>" />
		   <c:out value="</table>"/>	  		  
	</content>
	<%-- xml format data --%>
	<collectionName>${collectionName}</collectionName>
	<collectionDescription>${projectCollectionData.description[0].value}</collectionDescription>
</entry>
</c:forEach>
</feed>