<?xml version="1.0" encoding="UTF-8"?>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="../site-default/FeedEnvironment.jspf"%>
<feed xmlns="http://www.w3.org/2005/Atom" xmlns:ns2="http://a9.com/-/spec/opensearch/1.1/" xmlns:ns3="http://www.w3.org/1999/xhtml">
 <%-- To get string for composing feed id. 
      if the requestUri is like http://servername/wcs/resources/stores/storeID/Projects?responseFormat=atom then
           sting4feedId = "all" // the all means that all projects are returned.
       if the requestUri is like http://servername/wcs/resources/stores/storeID/Projects/projectID?responseFormat=atom
            sting4feedId = projectID //projectID is the  project id in requestUri. 
  --%>
    <c:set var="requestUriArray" value="${fn:split(requestUri,'/')}"/>
  	 <c:forEach var="tempArrayValue" items="${requestUriArray}" varStatus="status_requestURI">
  	        <c:choose>
	  	        <c:when test="${status_requestURI.last}">  	             
	  	             <c:set var="lastValue" value="${tempArrayValue}"/>
	  	        </c:when>
  	        </c:choose>
  	 </c:forEach>  	
      <c:choose>
         <%-- If the last value is Projects?responseFormat=atom --%>
  	        <c:when test="${fn:startsWith(lastValue, 'Projects')}">
  	                <c:set var="string4feedId" value="all"/>
  	        </c:when>
  	         <%-- If the last value is projectID?responseFormat=atom --%>
  	        <c:otherwise>  	            
  	            <%-- To get the project id from lastValue  projectID?responseFormat=atom --%>
  	            <c:set var="string4feedId" value="${fn:substringBefore(lastValue, '?')}"/>
  	        </c:otherwise>
  	   </c:choose>    
<id><c:out value="feed:id:${pageContext.request.serverName}/store/${storeId}/Projects/${string4feedId}/language/${langId}" /></id>
<title type="text">Recipes</title>
<author>
   <name>${storeId}</name>
 </author>
 <link rel="self" href="<c:out value="${requestUri}" />"/>
<updated><c:out value="${currentDate}" /></updated>
<c:forEach var="projectData" items="${dataObject.project}" varStatus="status">
<c:set var="projectName" value="${projectData.projectIdentifier.externalIdentifier.name}" />
<c:set var="projectID" value="${projectData.projectIdentifier.uniqueID}" />
 <c:set var="recipeDisplayURL"  value="${dynamicContextRoot}/RecipeDisplay1_${projectID}_-1_${storeId}_${catalogId}"/>
 <entry xml:lang="${locale}">
	<id>feed:id:${pageContext.request.serverName}/store/${storeId}/Projects/${projectID}/language/-1</id>
	<title type="text">${projectName}</title>
	<link href="${recipeDisplayURL}" />
	<updated><c:out value="${currentDate}" /></updated>
	<content type="html">		  	
	    <c:out value="<table border=\"1\">" />	   
		<c:out value="<tr><td align=\"center\" height=\"45\"><a href=\"${recipeDisplayURL}\"> <font face=\"Arial\" size=\"3px\">${projectName}</font></a></td></tr>" />
		<c:out value="<tr><td align=\"center\" height=\"25\"><font face=\"Arial\" size=\"3px\">${projectData.timeToComplete}</font></td></tr>" />
		<c:out value="<tr><td align=\"center\" height=\"25\"><font face=\"Arial\" size=\"3px\">${projectData.difficulty}</font></td></tr>" />
		<c:out value="<tr><td align=\"center\" height=\"25\"><font face=\"Arial\" size=\"3px\">${projectData.description[0].shortDescription}</font></td></tr>" />
    	<c:out value="</table>"/>
</content>
	<%-- xml format data --%>
  <name>${projectName}</name>
  <timeToComplete>${projectData.timeToComplete}</timeToComplete>
  <difficulty>${projectData.difficulty}</difficulty>
  <shortDescription>${projectData.description[0].shortDescription}</shortDescription>    
</entry>
</c:forEach>
</feed>